cURL
curl --request GET \ --url https://api.example.com/api/agents/{id}
Get a specific agent by ID
Documentation IndexFetch the complete documentation index at: https://docs.orova.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.orova.ai/llms.txt
Use this file to discover all available pages before exploring further.
curl "https://app.orova.ai/api/agents/AGENT_ID" \ -H "x-api-key: YOUR_API_KEY"
id
{ "_id": "agent_id", "name": "Support Agent", "llm_provider": "openai", "llm_model": "gpt-4o-mini", "tts_provider": "elevenlabs", "tts_voice_id": "voice_id", "stt_provider": "deepgram", "system_prompt": "You are a helpful support agent...", "first_message": "Hi! How can I help you today?", "recording_enabled": true, "ambience_enabled": false, "workspaceId": "WORKSPACE_ID", "createdAt": "2025-01-01T00:00:00.000Z", "updatedAt": "2025-01-01T00:00:00.000Z" }